# Uses of Interface
com.opensymphony.sitemesh.DecoratorSelector

Packages that use DecoratorSelector
Package
Description
com.opensymphony.sitemesh.compatability
com.opensymphony.sitemesh.webapp

## Uses of DecoratorSelector in com.opensymphony.sitemesh.compatability

Classes in com.opensymphony.sitemesh.compatability that implement DecoratorSelector
Modifier and Type
Class
Description
`class`
`DecoratorMapper2DecoratorSelector`
Adapts a SiteMesh 2 `DecoratorMapper` to a SiteMesh 2 `DecoratorSelector`.

## Uses of DecoratorSelector in com.opensymphony.sitemesh.webapp

Methods in com.opensymphony.sitemesh.webapp that return DecoratorSelector
Modifier and Type
Method
Description
`protected DecoratorSelector`
SiteMeshFilter.`initDecoratorSelector(SiteMeshWebAppContext webAppContext)`